pydo.registries.delete_repository_manifest()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.registries.delete_repository_manifest(
registry_name="example",
repository_name="repo-1",
manifest_digest="sha256:cb8a924afdf0229ef7515d9e5b3024e23b3eb03ddbba287f4a19c6ac90b8d221",
)Description
To delete a container repository manifest by digest in one of your registries, send a DELETE request to
/v2/registries/{registry_name}/repositories/{repository_name}/digests/{manifest_digest}.
Note that if your repository name contains / characters, it must be
URL-encoded in the request URL. For example, to delete
registry.digitalocean.com/example/my/repo@sha256:abcd, the path would be
/v2/registry/example/repositories/my%2Frepo/digests/sha256:abcd.
A successful request will receive a 204 status code with no body in response. This indicates that the request was processed successfully.
It is similar to DELETE /v2/registry/{registry_name}/repositories/{repository_name}/digests/{manifest_digest}.
Parameters
registry_namestring requiredThe name of a container registry.
repository_namestring requiredThe name of a container registry repository. If the name contains
/characters, they must be URL-encoded, e.g.%2F.manifest_digeststring requiredThe manifest digest of a container registry repository tag.
Request Sample
More Information
See /v2/registries/{registry_name}/repositories/{repository_name}/digests/{manifest_digest} in the API reference for additional detail on responses, headers, parameters, and more.